<?php
declare(strict_types=1);

namespace AuxCF\Entities\Settings\Enum;

use AuxCF\Entities\Settings\Traits\SettingEnumTraits;

/**
 * Simple yes/no, 1/0, on/off switch enum
 *
 * Use this for settings that are either 1 or 0. Use of the integers 1 or 0 will
 * be matched against this enum to set the value as an enum.
 *
 * @since 1.0.0
 */
enum IntSwitchEnum: int
{
  use SettingEnumTraits;

  case On = 1;
  case Off = 0;

  public const SETTING_KEY = '';
  public const SETTING_LABEL = 'switch';
}
